# Accounts: insert

**Requires [authorization](https://developers.google.com/glass/v1/reference/accounts/insert#auth)**

Inserts a new account for a user

## Request

### HTTP request

```
POST https://www.googleapis.com/mirror/v1/accounts/userToken/accountType/accountName
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `accountName` | `string` | The name of the account to be passed to the Android Account Manager. |
| `accountType` | `string` | Account type to be passed to Android Account Manager. |
| `userToken` | `string` | The ID for the user. |

### Authorization

This request requires authorization with the following scope ([read more about authentication and authorization](https://developers.google.com/glass/authorization)).

| Scope |
|---|

### Request body

In the request body, supply an [Accounts resource](https://developers.google.com/glass/v1/reference/accounts#resource).

## Response

If successful, this method returns an [Accounts resource](https://developers.google.com/glass/v1/reference/accounts#resource) in the response body.